Rockbox.org home
release
dev builds
extras
themes manual
wiki
device status forums
mailing lists
IRC bugs
patches
dev guide



Rockbox mail archive

Subject: Re: ColdFire-rockbox and GCC 4.2.1

Re: ColdFire-rockbox and GCC 4.2.1

From: Tapio Kelloniemi <spammi.helevetti_at_nbl.fi>
Date: Tue, 25 Sep 2007 15:23:25 +0300

On Mon, Sep 24, 2007 at 10:06:21PM +0200, Daniel Stenberg wrote:
> On Mon, 24 Sep 2007, Tapio Kelloniemi wrote:
>
> >I've been trying to build Rockbox for H300 and X5 using Gcc 4.2.1 and
> >binutils 2.18. As you may expect, I have not succeeded, and I have a few
> >question.
>
> You forgot to tell us _why_ you did this and didn't just install the
> recommended versions? rockboxdev.sh should be easy for anyone to use...

Someone said (when talking about computers) that a fear of hassle is wisdom. I
use a Linux from Scratch system, and therefore compile everything from the
sources myself. I like bleeding edge, once compiled by system with CVS
versions of Glibc and GCC (will not do it again though...). I really want GCC
4 because I would like to play with Ada and Rockbox. Ada support in
gcc 3.4 is from the pit. Perhaps I'll try gcc 4.3 and CVS binutils next.

And Nils: Yes, I also want the patch.

-- 
Tapio
Received on 2007-09-25

Page was last modified "Jan 10 2012" The Rockbox Crew
aaa